{% extends 'base.html' %}

{% block title %}ARticle list{% endblock %}

{% block content %}  
    
    <div class="row">

        <div class="col-md-6">
            <h2>Add New Article</h2>
            <hr>            
            <form method="post">

                {% if form.errors %}
                    <div class="alert alert-danger">
                        <!-- {% for f in form %}
                            {% if f.errors %}
                                <p>{{ f.name }}: {{ f.errors|striptags }}  </p>
                            {% endif %}
                        {% endfor %} -->

                        {% if form.non_field_errors %} 
                                {{ form.non_field_errors }} 
                        {% endif %}
                    </div>
                {% endif %}

                <!-- {% if form.non_field_errors %}
                    <div class="alert alert-danger">
                        {{ form.non_field_errors }}
                    </div>
                {% endif %} -->

                {% csrf_token %}  
                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">Title</label>
                    {{ form.title }} 
                </div>
                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">Description</label>
                    {{ form.content }}
                </div>
                <div class="mb-3">
                    <label for="exampleFormControlInput1" class="form-label">Date</label>
                    {{ form.date }}
                </div> 
                <input type="submit" value="Save Article" class="btn btn-secondary">
            </form> 
        </div>

        <div class="col-md-6">
            <h2>All Articles</h2>
            <hr>
            <table class="table">
                <thead>
                    <tr>
                        <th>S/N</th>
                        <th>Title</th>
                        <th>Content</th>
                        <th>Date</th>
                    </tr>
                </thead>
                <tbody>
                    {% for article in article_list %}
                        <tr>
                            <td>{{ forloop.counter }}</td>
                            <td>{{ article.title }}</td>
                            <td>{{ article.content }}</td>
                            <td>{{ article.date }}</td> 
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
      
    </div>
 
{% endblock %} 